Bug 1067 - [UPDATE REQUEST] libfm/pcmanfm
: [UPDATE REQUEST] libfm/pcmanfm
Status: RESOLVED FIXED
Product: Server Bugs
Classification: ROSA Server
Component: Main Packages
: unspecified
: All Linux
: Normal normal
: ---
Assigned To: Andrew Lukoshko
: ROSA Server Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-11 09:00 MSK by Andrew Lukoshko
Modified: 2013-10-23 13:30 MSD (History)
1 user (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
andrew.lukoshko: published_server+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Lukoshko 2012-11-11 09:00:34 MSK
Updated libfm/pcmanfm (1.0.1 -> 1.1.0) from upstream

Advisory:

Main changes in PCManFM 1.1.0 (since 1.0.1)
* Corrected underscores (mnemonics) on every menu and dialog.
* Migrated to new libfm APIs for simplification.
* Fixed GTK+ 3.0 compatibility problems. Added switch –with-gtk=N to configure script where N is GTK+ version: 2 or 3. Default is 2.
* Added option ‘Treat backup files as hidden’ into ‘Display’ tab of the preferences dialog and ‘Use Application Startup Notify by default’ into ‘Advanced’ tab. Both have effect with libfm 1.0.2 or newer.
* Added rintime option ‘–new-win’ to open new window instead of new tab when started with some directory name.
* Added runtime option ‘–role’ to set WM_WINDOW_ROLE property which can be used by window manager to do arrangement of window. Works only if option ‘–new-win’ is also used.
* Added search engine support. Works if compiled with libfm-gtk >= 1.0.2.
* The items which cannot act (such as “Copy” when no items selected) now are disabled in menu and toolbar.

Main changes in libfm 1.1.0 (since 1.0.1)
* Added ‘no_usb_trash’ option into config file, defaulted to 0, which defines whether skip trashing files on removable media or not. If defined to skip then files will go into “trash-unsupported” and user will be asked by fm_file_ops_job_run_with_progress() to remove them instead.
* Added ‘no_child_non_expandable’ option into config file, defaulted to 0, which adds feature to hide expanders on non-expandable rows so no extra ‘No Sub Folder’ rows are shown. No automation on that is done still since it may be expensive sometimes.
* Corrected underscores (mnemonics) on every menu and dialog.
* Fixed GTK+ 3.0 compatibility problems. Libfm can be compiled with Gtk 2.18 … 3.x and Glib 2.22+ currently (if glib < 2.26 or vala < 0.13 still requires run configure –disable-actions). Added new switch to configure script –with-gtk=N where N is GTK+ generation to be used, may be either 2 or 3. Default is 2.
* Enabled option to Unmount removable media without ejecting it.
* Migrated menu:// support into built-in VFS. There will be support for menu editing functions later.
* Added search engine. Supports search:// URIs and has the UI represented by API fm_launch_search_simple().
* Full name in Icon View mode now shown in tooltip while long names are placed under icons in truncated form.
* Added ability to change columns of view. Works only for Detailed List View in FmStandardView widget for now. Implementation for other modes and widgets will come later on demand.
* Added a FmSortMode enumerator (similar to GtkSortType) with few modes specific fo file manager (ascending/descending is one of new modes).
* Sorting set/get functions moved from FmFolderView into FmFolderModel. Sorting isn’t remembered by implementations of FmFolderView anymore so application should set sorting explicitly after creation of new FmFolderModel instance. Previously FmFolderView remembered it and no explicit setting was required.

http://blog.lxde.org/?p=951

Build lists:
https://abf.rosalinux.ru/build_lists/844363
https://abf.rosalinux.ru/build_lists/844364
https://abf.rosalinux.ru/build_lists/844365
https://abf.rosalinux.ru/build_lists/844366

Install:
i686: yum install http://abf.rosalinux.ru/downloads/rosa-server2012/container/libfm-844363/RPMS/libfm-1.1.0-1.res6.i686.rpm http://abf.rosalinux.ru/downloads/rosa-server2012/container/libfm-844363/RPMS/libfm-gtk-1.1.0-1.res6.i686.rpm http://abf.rosalinux.ru/downloads/rosa-server2012/container/pcmanfm-844365/RPMS/pcmanfm-1.1.0-1.res6.i686.rpm

x86_64: yum install http://abf.rosalinux.ru/downloads/rosa-server2012/container/libfm-844364/RPMS/libfm-1.1.0-1.res6.x86_64.rpm http://abf.rosalinux.ru/downloads/rosa-server2012/container/libfm-844364/RPMS/libfm-gtk-1.1.0-1.res6.x86_64.rpm http://abf.rosalinux.ru/downloads/rosa-server2012/container/pcmanfm-844366/RPMS/pcmanfm-1.1.0-1.res6.x86_64.rpm

Please DON'T PUBLISH, just test.
And PLEASE test pcmanfm VERY thoroughly.
Comment 1 Andrew Lukoshko 2012-11-15 13:36:36 MSK
Updated pcmanfm (1.1.0-2) here:
https://abf.rosalinux.ru/build_lists/846095
https://abf.rosalinux.ru/build_lists/846096
Comment 2 Vladimir Potapov 2012-11-21 16:13:22 MSK
pcmanfm-1.1.0-2.res6
*************** Advisory *******************
Updated libfm/pcmanfm (1.0.1 -> 1.1.0) from upstream
This update contains many bug fixes and improvements, sush as:
+ Corrected underscores (mnemonics) on every menu and dialog
+ Added option ‘Treat backup files as hidden’ into ‘Display’ tab of the preferences dialog and ‘Use Application Startup Notify by default’ into ‘Advanced’ tab. 
+ Added rintime option ‘–new-win’ to open new window instead of new tab when started with some directory name
+ Enabled option to Unmount removable media without ejecting it.
+ Added search engine. Supports search:// URIs and has the UI represented by API fm_launch_search_simple()
+ The items which cannot act (such as “Copy” when no items selected) now are disabled in menu and toolbar
etc.
********************************************
QA Verified